#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 postgresql-binary
version:              0.12.4
visibility:           public
id:                   postgresql-binary-0.12.4-5b3cv9t0ETg7mLJ8xi8U5d
key:                  postgresql-binary-0.12.4-5b3cv9t0ETg7mLJ8xi8U5d
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/postgresql-binary 
synopsis:             Encoders and decoders for the PostgreSQL'\''s binary format
description:
    An API for dealing with PostgreSQL'\''s binary data format.

    It can be used to implement performant bindings to Postgres.
    E.g., <http://hackage.haskell.org/package/hasql "hasql">
    is based on this library.

    It supports all Postgres versions starting from 8.3
    and is tested against 8.3, 9.3 and 9.5
    with the @integer_datetimes@ setting off and on.

category:             PostgreSQL, Database, Codecs, Parsing
abi:                  7ab655bec081263461b58d1f71b568f1
exposed:              True
exposed-modules:
    PostgreSQL.Binary.Data PostgreSQL.Binary.Decoding
    PostgreSQL.Binary.Encoding

hidden-modules:
    PostgreSQL.Binary.Encoding.Builders PostgreSQL.Binary.Prelude
    PostgreSQL.Binary.Integral PostgreSQL.Binary.Interval
    PostgreSQL.Binary.Numeric PostgreSQL.Binary.Time
    PostgreSQL.Binary.Inet PostgreSQL.Binary.BuilderPrim

import-dirs:          /usr/lib/ghc-8.10.4/site-local/postgresql-binary-0.12.4
library-dirs:         /usr/lib/ghc-8.10.4/site-local/postgresql-binary-0.12.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/postgresql-binary-0.12.4
hs-libraries:         HSpostgresql-binary-0.12.4-5b3cv9t0ETg7mLJ8xi8U5d
depends:
    aeson-1.5.6.0-GONgLS6yTtf17t9dlS8fIx base-4.14.1.0
    binary-parser-0.5.7-GazWtavBwj9HKpipg831Sp bytestring-0.10.12.0
    bytestring-strict-builder-0.4.5.4-B0FIFCVvIEe5lS93vRkqxQ
    containers-0.6.2.1 network-ip-0.3.0.3-AUup8mPjmvD5oPc30Fexfd
    scientific-0.3.6.2-FtF6UzDU8az6pveu1T1hqn text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-GpKX90RmBie7xFEkTgVtxL
    uuid-1.3.14-9B28nIXSzy9JwRyY27Sbn3
    vector-0.12.2.0-7EbNsr7S4xfLPw9HM8zAxH

haddock-interfaces:
    /usr/share/doc/haskell-postgresql-binary/html/postgresql-binary.haddock

haddock-html:         /usr/share/doc/haskell-postgresql-binary/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

